Subject: bug#6483: closed (Re: bug#6483: Games-Gomoku)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Jul 2010 04:19:02 +0000

Your bug report

#6483: zone has trouble with gomoku buffer (intangible newlines, etc)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6483: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6483
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6483: Games-Gomoku
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 07 Jul 2010 00:18:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks, this is mostly fixed in the Emacs trunk now.
(Some of the zone things still don't do much in the Gomoku buffer,
since it does not contain many normal text characters.)

Subject: Games-Gomoku
From: <[email-masked]>
To: <[email-masked]>
Date: Sun, 20 Jun 2010 23:58:51 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

*** E-Mail body has been placed on clipboard, please paste them here! ***

I opened Games under the "Tools" bar, then I selected GOMOKU. However
instead of playing GOMOKU I decided to play tricks on GOMOKU with 
ZONE OUT game. I am not sure if ZONE OUT Game is applicable to other 
emacs application e.g e-macs Games apart from the Text that it seems to 
support it well. Nonetheless, Upon launching ZONE OUT on GOMOKU, emacs
freezes completely. The window is inactive, Menu bar, the mouse among other
buttons are disabled. And emacs-22.3 cannot be closed or aborted from 
the Windows display screen. 
The only way to close this e-macs instances is by restarting the computer.

I was thinking that if, ZONE OUT does not support other emacs applications
or is not applicable. It should atleast throw an Error message such as 
"Zone Out is not Applicable to this Application". Or it should atleast let 
you close the running buffer or e-macs IDE from the Menu bar. Apparently
none of this Exit or Close procedures works.  

I am running: GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
ON: Microsoft Windows XP Professional -vs 2002 SP2.
Computer: Intel Pentium II Processor
   365MHz, 128 MB of Ram: 

Bug report from,
Benson Chepkwony
e-mail: [email-masked]    

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
("C:\\Program Files\\emacs-22.3\\bin\\emacs.exe")
Loading encoded-kb...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done